API ReferenceClaim source
Retrieve all claims sources
GET
/v1/claim-sourcesReturns a list of all claims sources configured on your tenant.
Roles
adminissuermanaged-issuer
Analytics Events
CLAIM_SOURCE_RETRIEVE_LIST_STARTCLAIM_SOURCE_RETRIEVE_LIST_SUCCESSCLAIM_SOURCE_RETRIEVE_LIST_FAIL
Authorization
bearerAuth AuthorizationBearer <token>
In: header
Query Parameters
limit?number
Range size of returned entries, default 100
Range
1 <= value <= 1000cursor?string
Starting point for the range of entries
Response Body
application/json
application/json
curl -X GET "https://example.com/v1/claim-sources"{ "nextCursor": "string", "data": [ { "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08", "name": "string", "url": "string", "requestMethod": "GET", "requestParameters": { "mapFrom": "string" }, "authorization": { "type": "api-key", "value": "string" } } ]}How would you rate this page?
Configure a claims source POST
Configures a new claims source for your tenant. When issuing a new credential, MATTR VII will make either a GET or a POST request to the claims source using the configured request parameters and fetch available data. This fetched data can then be included in the issued credential.
Retrieve a claims source GET
Retrieves an existing claims source by providing its `claimSourceID`.